html =
"""
<!DOCTYPE html>
<html lang="en">
<head>
  <title>Comment</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script src="test.js"></script>
</head>
<body>

<div class="container">
  <h2>Post to discord</h2>
  <p>Enter your post below and click enter:</p>
  <form id="form">
    <div class="form-group">
      <label for="comment">Message:</label>
      <textarea name="comment" class="form-control" rows="5" id="comment"></textarea>
    </div>
  </form>
  <p />
</div>

</body>
</html>
<script>
$('#comment').keypress(function(e) {
  if(e.which == 13) {
    $.post( "/", $("#form").serialize() ).done(function(data){
      $('.container').append(
        '<div class="alert alert-success alert-dismissable">' +
        '<a href="#" class="close" data-dismiss="alert" aria-label="close">×</a>' +
        '<strong>Success!</strong> This alert box could indicate a successful or positive action.' +
        '</div>'
      ).find('#comment').val('')
    })
    setTimeout(function(){
      $('.alert').fadeOut( "slow", function() {})
    }, 2000)
  }
})
</script>
"""

module.exports = (robot) ->
  robot.router.get "/", (req, res) ->
    res.setHeader 'content-type', 'text/html'
    res.end html

  robot.router.post "/", (req, res) ->
    body = req.body
    room = '328708919746887682'
    message = body.comment

    robot.logger.info "Message '#{message}' received for room #{room}"

    envelope = robot.brain.userForId 'broadcast'
    envelope.user = {}
    envelope.user.room = envelope.room = room if room
    envelope.user.type = body.type or 'groupchat'

    if message
      robot.send envelope, message

    res.writeHead 200, {'Content-Type': 'text/plain'}
    res.end 'Thanks\n'
